# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-kde-common-devel
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           kmetronome
Version:        0.10.1
Release:        alt1_3
License:        GPLv2+
Summary:        KDE MIDI Metronome using ALSA Sequencer
Group:          Sound
URL:            http://kmetronome.sourceforge.net
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires: ctest cmake
BuildRequires:  gettext
BuildRequires:  kde4libs-devel
BuildRequires:  drumstick-devel >= 0.5
BuildRequires:  desktop-file-utils
Source44: import.info

%description
KMetronome is a MIDI metronome with KDE interface, based on the ALSA
sequencer. The intended audience is musicians and music students. Like
solid, real metronomes it is a tool to keep the rhythm while playing musical
instruments. It uses MIDI for sound generation instead of digital audio,
allowing low CPU usage, and very accurate timing thanks to the ALSA sequencer.

%prep
%setup -q
# ensure the bundled library not linked
rm -fr drumstick/

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
%find_lang %{name} --with-kde
# check the .desktop file
desktop-file-validate $RPM_BUILD_ROOT%{_kde4_datadir}/applications/kde4/%{name}.desktop

%files -f %{name}.lang
%doc README ChangeLog AUTHORS TODO COPYING NEWS
%{_K4bindir}/%{name}
%{_kde4_appsdir}/%{name}/
%{_K4iconsdir}/hicolor/*/apps/%{name}.*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/dbus-1/*/*
%{_mandir}/man1/%{name}.1.*

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.1-alt1_3
- initial fc import

